const feature = {
  namespaced: true,
  state: {
    attachmentFormset: [],
    linkedFormset: [],
    features: [ // TODO: récupérer dans api
      {
        status: "archived",
        title: "What the title !",
        description:
          "Very very very very very loooooooooooooong tiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiittttttttttttttlllllllllllllllllllllllllllllllleeeeeeeeeeeeeeeeeeeeee, isn't it ? 987653210",
        created_on: "16/08/2021",
        display_creator: "Babar",
        feature_type: {
          geom_type: "point",
          title: "Éolienne",
          is_editable: true,
        }
      },
      {
        status: "pending",
        title: "Éolienne offshore",
        description: "Feature pending",
        created_on: "16/08/2021",
        display_creator: "Babar",
        feature_type: {
          geom_type: "point",
          title: "Éolienne",
          is_editable: true,
        }
      },
      {
        status: "published",
        title: "Éolienne privé",
        description: "Feature published",
        created_on: "16/08/2021",
        display_creator: "Babar",
        feature_type: {
          geom_type: "point",
          title: "Éolienne",
          is_editable: true,
        }
      },
      {
        status: "draft",
        title: "Éolienne terrestre",
        description: "Fedraft description",
        created_on: "16/08/2021",
        display_creator: "Babar",
        feature_type: {
          geom_type: "point",
          title: "Éolienne",
          is_editable: true,
        }
      },
    ],
    form: null,
  },
  mutations: {
    UPDATE_FORM(state, payload) {
      state.form = payload;
    },
    ADD_ATTACHMENT_FORM(state, dataKey) {
      state.attachmentFormset = [...state.attachmentFormset, { dataKey }];
    },
    UPDATE_ATTACHMENT_FORM(state, payload) {
      const index = state.attachmentFormset.findIndex((el) => el.dataKey === payload.dataKey);
      if (index !== -1) state.attachmentFormset[index] = payload
    },
    REMOVE_ATTACHMENT_FORM(state, payload) {
      state.attachmentFormset = state.attachmentFormset.filter(form => form.dataKey !== payload);
    },
    ADD_LINKED_FORM(state, dataKey) {
      state.linkedFormset = [...state.linkedFormset, { dataKey }];
    },
    UPDATE_LINKED_FORM(state, payload) {
      const index = state.linkedFormset.findIndex((el) => el.dataKey === payload.dataKey);
      if (index !== -1) state.linkedFormset[index] = payload
    },
    REMOVE_LINKED_FORM(state, payload) {
      state.linkedFormset = state.linkedFormset.filter(form => form.dataKey !== payload);
    },
  },
  getters: {

  },
  actions: {
    POST_FEATURE({ state }) {
      const data = { form: state.form, formset: state.attachmentFormset }
      console.log("data", data)

      /* axios
        .post(`${DJANGO_API_BASE}feature_type/`, data)
        .then((response) => {
          const routerHistory = router.options.routerHistory 
          commit("SET_USER", response.data.user);
          router.push(routerHistory[routerHistory.length - 1] || "/")
          dispatch("GET_USER_LEVEL_PROJECTS");
        })
        .catch(() => {
          commit("SET_USER", false)
        }); */
    },
  },

}

export default feature